#!/bin/sh

. /lib/dracut-lib.sh

data=$(getarg data)

if [ ! -z "$data" ] ; then

UUID=${data#UUID=}

mount -t tmpfs tmpfs /sysroot/tmp 
mkdir /sysroot/tmp/xinos
mkdir /sysroot/tmp/sysroot-rw

RES=0

if [ ! -z "$UUID" ] ; then
    /sbin/fsck.ext2 -y /dev/disk/by-uuid/$UUID  
    mount /dev/disk/by-uuid/$UUID /sysroot/tmp/sysroot-rw && RES=1
fi

if [ "$RES" = 0 ] ; then 
    mount -n -t tmpfs tmpfs /sysroot/tmp/sysroot-rw
fi


SKIP_DIRS="dev lost+found proc sys tmp"
# SKIP_DIRS="bin"
for d in `ls /sysroot `
do
    skip_dir=0
    if [ ! -d "/sysroot/$d" ] ; then
	continue
    fi
    for sd in $SKIP_DIRS
    do
        if [ $d = $sd ] ; then
            skip_dir=1
        fi
    done
    if [ $skip_dir = 1 ] ; then
        continue
    fi

    if [ ! -e "/sysroot/tmp/sysroot-rw/$d" ] ; then
	if [ $d = "root" ] ; then
	    mkdir -m 750 "/sysroot/tmp/sysroot-rw/$d"
	else
	    mkdir -m 755 "/sysroot/tmp/sysroot-rw/$d"
	fi
    fi
    if [ ! -d "/sysroot/tmp/sysroot-rw/$d" ] ; then 
	continue
    fi

    mount -n -t aufs -o nowarn_perm,noatime,xino=/sysroot/tmp/xinos/$d.xino.aufs,dirs=/sysroot/tmp/sysroot-rw/$d=rw:/sysroot/$d=rr none /sysroot/$d

done

# cp -f /etc/halt /sysroot/etc/init.d/halt
# cp -f /etc/functions /sysroot/etc/init.d/functions

# mount -n -t aufs -o noatime,xino=/xinos/sysroot.xino.aufs,dirs=/sysroot-rw=rw:/sysroot=rr none /sysroot

fi # if [ ! -z "$data" ]